package com.ningdatech.pmapi.sys.entity.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * DashboardNoticeListPo
 * </p>
 *
 * @author WendyYang
 * @since 00:32 2022/7/23
 */
@Data
@ApiModel("工作台消息列表查询")
@EqualsAndHashCode(callSuper = true)
public class NoticeListReq extends PagePo {

    @ApiModelProperty("消息类型")
    private Integer type;

    @ApiModelProperty("公告标题")
    private String title;

    @ApiModelProperty("公告状态")
    private Boolean enabled;

}